> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contextual.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Earliest Usage Date Endpoint

> Get the earliest usage date for a tenant



## OpenAPI

````yaml api-reference/openapi.json get /billing/usages/earliest_date
openapi: 3.1.0
info:
  title: Endpoints
  version: '1.0'
servers:
  - url: https://api.contextual.ai/v1
security:
  - BearerAuth: []
paths:
  /billing/usages/earliest_date:
    get:
      tags:
        - /billing
      summary: Get Earliest Usage Date Endpoint
      description: Get the earliest usage date for a tenant
      operationId: get_earliest_usage_date_endpoint_billing_usages_earliest_date_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EarliestUsageDateResponse'
components:
  schemas:
    EarliestUsageDateResponse:
      properties:
        date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Date
          description: Earliest usage date
      type: object
      required:
        - date
      title: EarliestUsageDateResponse
      description: Response to GET /billing/usage/earliest_date request
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````